> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve staff information

> Retrieve timeoff information for a staff member



## OpenAPI

````yaml get /staff/timeoff/{workspaceId}/{staffId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/timeoff/{workspaceId}/{staffId}:
    get:
      tags:
        - Staff
      description: Retrieve timeoff information for a staff member
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: staffId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  currently_out:
                    type: boolean
                  requests:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        end:
                          type: string
                          format: date-time
                        start:
                          type: string
                          format: date-time
                        type:
                          type: string
                        notes:
                          type: string
                        user:
                          type: string
                        state_changed_by:
                          type: string
                        other:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        status:
                          type: string
                          enum:
                            - pending
                            - approved
                            - denied
                            - cancelled
                        requested_by:
                          type: string
                      required:
                        - _id
                        - end
                        - start
                        - type
                        - notes
                        - user
                        - createdAt
                        - status
                required:
                  - currently_out
                  - requests
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````